
'\"
'\" Generated from file 'random.man' by tcllib/doctools with format 'nroff'
'\" Copyright (c) 1996-2003 Andreas Kupries <andreas_kupries@users.sourceforge.net>
'\"
'\" -*- tcl -*- doctools
.so man.macros
.TH "random" n ?.?  "Memory channels"
.BS
.SH "NAME"
random \- Create and manipulate randomizer channels
.SH "SYNOPSIS"
package require \fBTcl \fR
.sp
package require \fBmemchan \fR
.sp
\fBrandom\fR \fR
.sp
.BE
.SH "DESCRIPTION"
.PP
The command described here is in the planning stages and not available yet.
.TP
\fBrandom\fR \fR
creates a random channel which absorbes everything written into it and
uses it as a seed for a random number generator. This generator is
used to create a random sequence of bytes when reading from the
channel. It is not possible to seek the channel.
.PP
Memory channels created by \fBrandom\fR provide no additional options to
set or query.
.PP
A random channel is always writable and readable. This means that all
\fBfileevent\fR-handlers will fire continuously.
.SH "SEE ALSO"
memchan, fifo, fifo2, null
.SH "KEYWORDS"
random, in-memory channel, channel, i/o
.SH "COPYRIGHT"
.nf
Copyright (c) 1996-2003 Andreas Kupries <andreas_kupries@users.sourceforge.net>
.fi
